Page MenuHomePhabricator

Adjust the styling of the title and personal headers in the translation editor
Closed, ResolvedPublic

Description

Currently in CX2, the top header where the tool title ("Translate page") and the personal tools (e.g., user menu) is shown in white. We want these tools to be part of the background instead.

This requires to change the background color of the top header from white to Base80 (#eaecf0), or doing so for the general background of the page (considering the rest of the adjustments proposed in T186873)

Current state

Intended state

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2018, 12:49 PM
Pginer-WMF triaged this task as Normal priority.Feb 9 2018, 12:52 PM
Pginer-WMF raised the priority of this task from Normal to High.Feb 12 2018, 7:30 AM
Pginer-WMF lowered the priority of this task from High to Normal.Feb 16 2018, 9:40 AM

Change 412420 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] CX2: Change header background color

https://gerrit.wikimedia.org/r/412420

Change 412651 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Refactor the translation view column layout to match new design

https://gerrit.wikimedia.org/r/412651

Change 412420 abandoned by Petar.petkovic:
CX2: Change header background color

Reason:
I4550cd7dc35ddee475a131ba83af16ca6e3c028c deals with background color change.

https://gerrit.wikimedia.org/r/412420

Arrbee reassigned this task from santhosh to Petar.petkovic.Feb 20 2018, 7:04 AM
Arrbee added a subscriber: santhosh.

Change 412651 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Refactor the translation view column layout to match new design

https://gerrit.wikimedia.org/r/412651

Change 413695 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Reintroduce the sticky behavior for translation header and tools column

https://gerrit.wikimedia.org/r/413695

Returning back to "In review" until 413695 is merged.

Change 413695 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Reintroduce the sticky behavior for translation header and tools column

https://gerrit.wikimedia.org/r/413695

Pginer-WMF added a comment.EditedFeb 28 2018, 12:10 PM

Change 413695 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Reintroduce the sticky behavior for translation header and tools column
https://gerrit.wikimedia.org/r/413695

Currently the transition between sticky/non-sticky when scrolling is a bit jumpy, I created a separate ticket for the issue: T188499: CX2: Avoid jumpiness when header becomes sticky

Etonkovidova closed this task as Resolved.Mar 2 2018, 12:21 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in cx2-testing - the font type for the message "Saved [n] minutes ago" is somewhat different:

@Petar.petkovic
Accoerding to the tag it should it be deployed to wmf.23. I checked enwiki, cawiki, and testwiki - the old design is still there.

Petar.petkovic moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 2 2018, 12:31 AM

This ticket is about one really simple thing. Header at the top (where wordmark, ULS, notification icons and personal menu are) had white background which needed to be changed to gray. That is only scope of this ticket.

Checked in cx2-testing - the font type for the message "Saved [n] minutes ago" is somewhat different:

Not sure what is different. We haven't changed the font for saved status message.

@Petar.petkovic
Accoerding to the tag it should it be deployed to wmf.23. I checked enwiki, cawiki, and testwiki - the old design is still there.

Depends what do you expect deployed. I have checked enwiki and srwiki (both in group 2) and everything looks good. Only some of most recent changes missed the train. Background change (scope of this ticket) is definitely deployed. Have you added version=2?